diff --git a/src/interfaces/ecpg/test/expected/sql-declare.c b/src/interfaces/ecpg/test/expected/sql-declare.c
new file mode 100644
index 0000000..2a7ea0d
--- /dev/null
+++ b/src/interfaces/ecpg/test/expected/sql-declare.c
@@ -0,0 +1,2592 @@
+/* Processed by ecpg (regression mode) */
+/* These include files are added by the preprocessor */
+#include <ecpglib.h>
+#include <ecpgerrno.h>
+#include <sqlca.h>
+/* End of automatic include section */
+#define ECPGdebug(X,Y) ECPGdebug((X)+100,(Y))
+
+#line 1 "declare.pgc"
+#include <locale.h>
+#include <string.h>
+#include <stdlib.h>
+
+/* exec sql whenever sqlerror  sqlprint ; */
+#line 5 "declare.pgc"
+
+
+
+#line 1 "sqlca.h"
+#ifndef POSTGRES_SQLCA_H
+#define POSTGRES_SQLCA_H
+
+#ifndef PGDLLIMPORT
+#if  defined(WIN32) || defined(__CYGWIN__)
+#define PGDLLIMPORT __declspec (dllimport)
+#else
+#define PGDLLIMPORT
+#endif   /* __CYGWIN__ */
+#endif   /* PGDLLIMPORT */
+
+#define SQLERRMC_LEN	150
+
+#ifdef __cplusplus
+extern		"C"
+{
+#endif
+
+struct sqlca_t
+{
+	char		sqlcaid[8];
+	long		sqlabc;
+	long		sqlcode;
+	struct
+	{
+		int			sqlerrml;
+		char		sqlerrmc[SQLERRMC_LEN];
+	}			sqlerrm;
+	char		sqlerrp[8];
+	long		sqlerrd[6];
+	/* Element 0: empty						*/
+	/* 1: OID of processed tuple if applicable			*/
+	/* 2: number of rows processed				*/
+	/* after an INSERT, UPDATE or				*/
+	/* DELETE statement					*/
+	/* 3: empty						*/
+	/* 4: empty						*/
+	/* 5: empty						*/
+	char		sqlwarn[8];
+	/* Element 0: set to 'W' if at least one other is 'W'	*/
+	/* 1: if 'W' at least one character string		*/
+	/* value was truncated when it was			*/
+	/* stored into a host variable.             */
+
+	/*
+	 * 2: if 'W' a (hopefully) non-fatal notice occurred
+	 */	/* 3: empty */
+	/* 4: empty						*/
+	/* 5: empty						*/
+	/* 6: empty						*/
+	/* 7: empty						*/
+
+	char		sqlstate[5];
+};
+
+struct sqlca_t *ECPGget_sqlca(void);
+
+#ifndef POSTGRES_ECPG_INTERNAL
+#define sqlca (*ECPGget_sqlca())
+#endif
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+
+#line 7 "declare.pgc"
+
+
+#line 1 "regression.h"
+
+
+
+
+
+
+#line 8 "declare.pgc"
+
+
+#define OUT_ARRAY_SZIE 20
+#define TEST_CASE_NUM 29
+#define COLUMN_NUM 3
+#define FIELD_NAME_LEN 30
+
+void declare_test(char * tc_name);
+int createTable(void);
+void dropTable(void);
+void reCreateTable(void);
+void truncateTable(void);
+void commitTable(void);
+void reset(void);
+int initValues(void);
+void releaseValues(void);
+void printResultF123(char *tc_name, int loop);
+void printResultIndF123(char *tc_name, int loop);
+int startManualTest(char *in);
+int startAutoTest(void);
+void printFieldName(char *);
+
+/* exec sql begin declare section */
+
+    //input variables
+                
+            
+              
+
+    //output variables
+     
+     
+     
+
+     
+
+
+     
+
+
+#line 33 "declare.pgc"
+ int in_f1 = 1 ;
+ 
+#line 34 "declare.pgc"
+ double in_f2 = 10 ;
+ 
+#line 35 "declare.pgc"
+ char in_f3 [ 20 ] = { "one" } ;
+ 
+#line 38 "declare.pgc"
+ int f1 [ OUT_ARRAY_SZIE ] ;
+ 
+#line 39 "declare.pgc"
+ int f2 [ OUT_ARRAY_SZIE ] ;
+ 
+#line 40 "declare.pgc"
+ char f3 [ OUT_ARRAY_SZIE ] [ 20 ] ;
+ 
+#line 42 "declare.pgc"
+ char field_name [ COLUMN_NUM ] [ FIELD_NAME_LEN ] ;
+ 
+#line 45 "declare.pgc"
+ int ind_f1 [ OUT_ARRAY_SZIE ] , ind_f2 [ OUT_ARRAY_SZIE ] , ind_f3 [ OUT_ARRAY_SZIE ] ;
+/* exec sql end declare section */
+#line 47 "declare.pgc"
+
+
+int
+main (int argc, char *argv[])
+{
+    setlocale(LC_ALL, "C");
+
+    ECPGdebug(1, stderr);
+
+    /* connect to database */
+    { ECPGconnect(__LINE__, 0, "ecpg1_regression" , NULL, NULL , "con1", 0); 
+#line 57 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 57 "declare.pgc"
+
+    { ECPGconnect(__LINE__, 0, "ecpg2_regression" , NULL, NULL , "con2", 0); 
+#line 58 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 58 "declare.pgc"
+
+    { ECPGconnect(__LINE__, 0, "ecpg3_regression" , NULL, NULL , "con3", 0); 
+#line 59 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 59 "declare.pgc"
+
+
+    if(initValues())
+    {
+        printf("Error: initValues return error!\n");
+
+        releaseValues();
+        return -1;
+    }
+
+    if(argc == 2) //start manual test
+    {
+        printf("Start manual test! \n");
+        startManualTest(argv[1]);
+    }
+    else  //start auto test
+    {
+        startAutoTest();
+    }
+
+    { ECPGdisconnect(__LINE__, "con1");
+#line 79 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 79 "declare.pgc"
+
+
+    { ECPGdisconnect(__LINE__, "ALL");
+#line 81 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 81 "declare.pgc"
+
+
+    releaseValues();
+
+    return (0);
+}
+
+int startManualTest(char *in)
+{
+    if(!strcmp(in,"cr"))
+    {
+        createTable();
+    }
+    else if(!strcmp(in,"dr"))
+    {
+        dropTable();
+    }
+    else if(!strcmp(in,"re"))
+    {
+        reCreateTable();
+    }
+    else if(!strcmp(in,"help"))
+    {
+        printf("====Supporting the following parameters====\n");
+        printf("1. cr -- create tables\n");
+        printf("2. dr -- drop tables\n");
+        printf("3. re -- drop tables and create tables\n");
+        printf("4. testcaseX where X is a digit form 1 to %d\n",TEST_CASE_NUM);
+        printf("If you don't give any parameter, the program will start the test from the testcase1 to testcase%d automatically\n",TEST_CASE_NUM);
+    }
+    else
+    {
+        declare_test(in);
+    }
+
+    commitTable();
+
+    return 0;
+}
+
+int startAutoTest()
+{
+    int i;
+    char tc_name[20];
+
+    dropTable();
+
+    if(createTable())
+    {
+        printf("Error: createTable return error!\n");
+        return -1;
+    }
+
+    for(i=1;i<=TEST_CASE_NUM;i++)
+    {
+        sprintf(tc_name,"testcase%d",i);
+        declare_test(tc_name);
+    }
+
+    dropTable();
+
+    return 0;
+}
+
+
+/*
+ * default connection: con3
+ * Non-default connection: con1, con2
+ *
+ * testcase1. using DECLARE STATEMENT, let CURSOR statement precede PREPARE statement
+ *        ---test result: ok
+ * testcase2. without using DECLARE STATEMENT, let CURSOR statement precede PREPARE statement
+ *        ---test result: ok
+ *
+ * testcase3. using DECLARE STATEMENT at con1, using PREPARE and EXECUTE statement without using AT clause
+ *        ---test result: ok
+ * testcase4. using DECLARE STATEMENT at con1, using PREPARE and EXECUTE statement at con2
+ *        ---test result: ok
+ * testcase5. using DECLARE STATEMENT at con1, using PREPARE and CURSOR statement without using AT clause
+ *        ---test result: ok
+ * testcase6. using DECLARE STATEMENT at con1, using PREPARE and CURSOR statement at con2
+ *        ---test result: ok
+ * testcase7. using DECLARE STATEMENT at con1, using DESCRIBE statement without using AT clause
+ *        ---test result: ok
+ * testcase8. using DECLARE STATEMENT at con1, using DESCRIBE statement at con2
+ *        ---test result: ok
+ *
+ * testcase9. using DECLARE STATEMENT at con3, using PREPARE and EXECUTE statement without using AT clause
+ *        ---test result: ok
+ * testcase10. using DECLARE STATEMENT at con3, using PREPARE and EXECUTE statement at con2
+ *        ---test result: ok
+ * testcase11. using DECLARE STATEMENT at con3, using PREPARE and CURSOR statement without using AT clause
+ *        ---test result: ok
+ * testcase12. using DECLARE STATEMENT at con3, using PREPARE and CURSOR statement at con2
+ *        ---test result: ok
+ * testcase13. using DECLARE STATEMENT at con3, using DESCRIBE statement without using AT clause
+ *        ---test result: ok
+ * testcase14. using DECLARE STATEMENT at con3, using DESCRIBE statement at con2
+ *        ---test result: ok
+ *
+ * testcase15. using DECLARE STATEMENT without using AT clause, using PREPARE and EXECUTE statement without using AT clause
+ *        ---test result: ok
+ * testcase16. using DECLARE STATEMENT without using AT clause, using PREPARE and EXECUTE statement at con2
+ *        ---test result: ok
+ * testcase17. using DECLARE STATEMENT without using AT clause, using PREPARE and CURSOR statement without using AT clause
+ *        ---test result: ok
+ * testcase18. using DECLARE STATEMENT without using AT clause, using PREPARE and CURSOR statement at con2
+ *        ---test result: ok
+ * testcase19. using DECLARE STATEMENT without using AT clause, using DESCRIBE statement without using AT clause
+ *        ---test result: ok
+ * testcase20. using DECLARE STATEMENT without using AT clause, using DESCRIBE statement at con2
+ *        ---test result: ok
+
+ * testcase21. using DECLARE STATEMENT at con1, using PREPARE and EXECUTE statement at con2
+ *            using quoted string as declared name
+ *        ---test result: ok
+ * testcase22. using DECLARE STATEMENT at con1, using PREPARE and CURSOR statement at con2
+ *            using quoted string as declared name
+ *        ---test result: ok
+ * testcase23. using DECLARE STATEMENT at con1, using DESCRIBE statement at con2
+ *            using quoted string as declared name
+ *        ---test result: ok
+ *
+ * testcase24. using DECLARE STATEMENT at con1, using PREPARE and EXECUTE statement at con2
+ *            using host variable as declared name
+ *        ---test result:
+ *
+ * testcase25. using DECLARE STATEMENT at con1, using PREPARE and EXECUTE statement at con2 and without referring the DECLARE statement
+ *        ---test result: ok
+ * testcase26. using DECLARE STATEMENT at con1, using PREPARE and CURSOR statement at con2 and without referring the DECLARE statement
+ *        ---test result: ok
+ * testcase27. using DECLARE STATEMENT at con1, using PREPARE and DESCRIBE statement at con2 and without referring the DECLARE statement
+ *        ---test result: ok
+ *
+ * testcase28. Using host variable as cursor name in the DECLARE/OPEN CURSOR statement,
+ *             using the content in the host variable as the cursor name in the CLOSE CURSOR statement
+ *             This is nothing with DECLARE STATEMENT feature, this case just verify a bug that cursor name can be closed by using
+ *             content of host variable while the cursor name is declared/opened by using the host variable.
+ *        ---test result: ok
+ *
+ * testcase29. using DECLARE STATEMENT at con1, using PREPARE and CURSOR statement without using AT clause
+ *             one cursor is set to "open" and "close" twice.
+ *             Check the declared name can be referred by the cursor at the second time correctly
+ *        ---test result: ok
+ */
+void declare_test(char * tc_name)
+{
+    /* exec sql begin declare section */
+     
+
+          
+          
+
+          
+          
+          
+
+          
+
+          
+
+    
+#line 229 "declare.pgc"
+ int i ;
+ 
+#line 231 "declare.pgc"
+ char * selectString = "SELECT f1,f2,f3 FROM source where f1<4" ;
+ 
+#line 232 "declare.pgc"
+ char * selectTb1 = "SELECT * FROM tb1" ;
+ 
+#line 234 "declare.pgc"
+ char * stmt_4 = "str_stmt_4" ;
+ 
+#line 235 "declare.pgc"
+ char * stmt_6 = "str_stmt_6" ;
+ 
+#line 236 "declare.pgc"
+ char * stmt_8 = "str_stmt_8" ;
+ 
+#line 238 "declare.pgc"
+ char * cur_6 = "str_cur_6" ;
+ 
+#line 240 "declare.pgc"
+ char * desc_8 = "str_desc_8" ;
+/* exec sql end declare section */
+#line 242 "declare.pgc"
+
+
+    if(!strcmp(tc_name,"testcase1"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, NULL, "stmt_1");
+#line 248 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 248 "declare.pgc"
+
+        /* declare cur_1 cursor for $1 */
+#line 249 "declare.pgc"
+
+        { ECPGprepare(__LINE__, NULL, 0, "stmt_1", selectString);
+#line 250 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 250 "declare.pgc"
+
+        { ECPGopen("cur_1", "stmt_1", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "declare cur_1 cursor for $1", 
+	ECPGt_char_variable,(ECPGprepared_statement(NULL, "stmt_1", __LINE__)),(long)1,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 251 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 251 "declare.pgc"
+
+
+        /* exec sql whenever not found  break ; */
+#line 253 "declare.pgc"
+
+        i = 0;
+        while(1)
+        {
+            { ECPGfetch("cur_1", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "fetch cur_1", ECPGt_EOIT, 
+	ECPGt_int,&(f1[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,&(f2[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3[i]),(long)20,(long)1,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 257 "declare.pgc"
+
+if (sqlca.sqlcode == ECPG_NOT_FOUND) break;
+#line 257 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 257 "declare.pgc"
+
+            i++;
+        }
+
+        { ECPGclose("cur_1", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "close cur_1", ECPGt_EOIT, ECPGt_EORT);
+#line 261 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 261 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, NULL, "stmt_1");
+#line 262 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 262 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase2"))
+    {
+        reset();
+
+        /* declare cur_2 cursor for $1 */
+#line 270 "declare.pgc"
+
+        { ECPGprepare(__LINE__, NULL, 0, "stmt_2", selectString);
+#line 271 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 271 "declare.pgc"
+
+        { ECPGopen("cur_2", "stmt_2", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "declare cur_2 cursor for $1", 
+	ECPGt_char_variable,(ECPGprepared_statement(NULL, "stmt_2", __LINE__)),(long)1,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 272 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 272 "declare.pgc"
+
+
+        /* exec sql whenever not found  break ; */
+#line 274 "declare.pgc"
+
+        i = 0;
+        while(1)
+        {
+            { ECPGfetch("cur_2", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "fetch cur_2", ECPGt_EOIT, 
+	ECPGt_int,&(f1[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,&(f2[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3[i]),(long)20,(long)1,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 278 "declare.pgc"
+
+if (sqlca.sqlcode == ECPG_NOT_FOUND) break;
+#line 278 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 278 "declare.pgc"
+
+            i++;
+        }
+
+        { ECPGclose("cur_2", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "close cur_2", ECPGt_EOIT, ECPGt_EORT);
+#line 282 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 282 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, NULL, "stmt_2");
+#line 283 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 283 "declare.pgc"
+
+
+        /* exec sql whenever not found  continue ; */
+#line 285 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase3"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, "con1", "stmt_3");
+#line 293 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 293 "declare.pgc"
+
+        { ECPGprepare(__LINE__, NULL, 0, "stmt_3", selectString);
+#line 294 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 294 "declare.pgc"
+
+        { ECPGdo(__LINE__, 0, 1, NULL, 0, ECPGst_execute, "stmt_3", ECPGt_EOIT, 
+	ECPGt_int,(f1),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,(f2),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3),(long)20,(long)OUT_ARRAY_SZIE,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 295 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 295 "declare.pgc"
+
+
+        { ECPGdeallocate(__LINE__, 0, NULL, "stmt_3");
+#line 297 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 297 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase4"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, "con1", "stmt_4");
+#line 305 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 305 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "stmt_4", selectString);
+#line 306 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 306 "declare.pgc"
+
+        { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_execute, "stmt_4", ECPGt_EOIT, 
+	ECPGt_int,(f1),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,(f2),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3),(long)20,(long)OUT_ARRAY_SZIE,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 307 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 307 "declare.pgc"
+
+
+        { ECPGdeallocate(__LINE__, 0, NULL, "stmt_4");
+#line 309 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 309 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+
+        reset();
+
+        { ECPGdeclare(__LINE__, "con1", stmt_4);
+#line 315 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 315 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, stmt_4, selectString);
+#line 316 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 316 "declare.pgc"
+
+        { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_execute, stmt_4, ECPGt_EOIT, 
+	ECPGt_int,(f1),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,(f2),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3),(long)20,(long)OUT_ARRAY_SZIE,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 317 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 317 "declare.pgc"
+
+
+        { ECPGdeallocate(__LINE__, 0, NULL, stmt_4);
+#line 319 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 319 "declare.pgc"
+
+
+        printResultF123(NULL,3);
+    }
+    else if(!strcmp(tc_name,"testcase5"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, "con1", "stmt_5");
+#line 327 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 327 "declare.pgc"
+
+        { ECPGprepare(__LINE__, NULL, 0, "stmt_5", selectString);
+#line 328 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 328 "declare.pgc"
+
+        /* declare cur_5 cursor for $1 */
+#line 329 "declare.pgc"
+
+        { ECPGopen("cur_5", "stmt_5", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "declare cur_5 cursor for $1", 
+	ECPGt_char_variable,(ECPGprepared_statement(NULL, "stmt_5", __LINE__)),(long)1,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 330 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 330 "declare.pgc"
+
+
+        /* exec sql whenever not found  break ; */
+#line 332 "declare.pgc"
+
+        i = 0;
+        while(1)
+        {
+            { ECPGfetch("cur_5", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "fetch cur_5", ECPGt_EOIT, 
+	ECPGt_int,&(f1[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,&(f2[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3[i]),(long)20,(long)1,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 336 "declare.pgc"
+
+if (sqlca.sqlcode == ECPG_NOT_FOUND) break;
+#line 336 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 336 "declare.pgc"
+
+            i++;
+        }
+
+        { ECPGclose("cur_5", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "close cur_5", ECPGt_EOIT, ECPGt_EORT);
+#line 340 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 340 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, NULL, "stmt_5");
+#line 341 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 341 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase6"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, "con1", "stmt_6");
+#line 349 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 349 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "stmt_6", selectString);
+#line 350 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 350 "declare.pgc"
+
+        /* declare cur_6 cursor for $1 */
+#line 351 "declare.pgc"
+
+        { ECPGopen("cur_6", "stmt_6", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "declare cur_6 cursor for $1", 
+	ECPGt_char_variable,(ECPGprepared_statement("con2", "stmt_6", __LINE__)),(long)1,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 352 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 352 "declare.pgc"
+
+
+        /* exec sql whenever not found  break ; */
+#line 354 "declare.pgc"
+
+        i = 0;
+        while(1)
+        {
+            { ECPGfetch("cur_6", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "fetch cur_6", ECPGt_EOIT, 
+	ECPGt_int,&(f1[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,&(f2[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3[i]),(long)20,(long)1,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 358 "declare.pgc"
+
+if (sqlca.sqlcode == ECPG_NOT_FOUND) break;
+#line 358 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 358 "declare.pgc"
+
+            i++;
+        }
+
+        { ECPGclose("cur_6", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "close cur_6", ECPGt_EOIT, ECPGt_EORT);
+#line 362 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 362 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, "con2", "stmt_6");
+#line 363 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 363 "declare.pgc"
+
+        /* exec sql whenever not found  continue ; */
+#line 364 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+
+        reset();
+
+        { ECPGdeclare(__LINE__, "con1", stmt_6);
+#line 370 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 370 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, stmt_6, selectString);
+#line 371 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 371 "declare.pgc"
+
+        ECPGset_var( 0, &( cur_6 ), __LINE__);\
+ /* declare $0 cursor for $1 */
+#line 372 "declare.pgc"
+
+        { ECPGopen(":cur_6", stmt_6, __LINE__, 0, 1, "con2", 0, ECPGst_normal, "declare $0 cursor for $1", 
+	ECPGt_char,&(cur_6),(long)0,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char_variable,(ECPGprepared_statement("con2", stmt_6, __LINE__)),(long)1,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 373 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 373 "declare.pgc"
+
+
+        /* exec sql whenever not found  break ; */
+#line 375 "declare.pgc"
+
+        i = 0;
+        while(1)
+        {
+            { ECPGfetch(":cur_6", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "fetch $0", 
+	ECPGt_char,&(cur_6),(long)0,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, 
+	ECPGt_int,&(f1[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,&(f2[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3[i]),(long)20,(long)1,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 379 "declare.pgc"
+
+if (sqlca.sqlcode == ECPG_NOT_FOUND) break;
+#line 379 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 379 "declare.pgc"
+
+            i++;
+        }
+
+        { ECPGclose(":cur_6", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "close $0", 
+	ECPGt_char,&(cur_6),(long)0,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 383 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 383 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, "con2", stmt_6);
+#line 384 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 384 "declare.pgc"
+
+        /* exec sql whenever not found  continue ; */
+#line 385 "declare.pgc"
+
+
+        printResultF123(NULL,3);
+    }
+    else if(!strcmp(tc_name,"testcase7"))
+    {
+        reset();
+
+        ECPGallocate_desc(__LINE__, "desc_7");
+#line 393 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 393 "declare.pgc"
+
+
+        { ECPGdeclare(__LINE__, "con1", "stmt_7");
+#line 395 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 395 "declare.pgc"
+
+        { ECPGprepare(__LINE__, NULL, 0, "stmt_7", selectTb1);
+#line 396 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 396 "declare.pgc"
+
+        { ECPGdescribe(__LINE__, 0, 0, NULL, "stmt_7",
+	ECPGt_descriptor, "desc_7", 1L, 1L, 1L, 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);}
+#line 397 "declare.pgc"
+
+
+        for(i=1; i<4; i++)
+        {
+            { ECPGget_desc(__LINE__, "desc_7", i,ECPGd_name,
+	ECPGt_char,(field_name[i-1]),(long)FIELD_NAME_LEN,(long)1,(FIELD_NAME_LEN)*sizeof(char), ECPGd_EODT);
+
+#line 401 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 401 "declare.pgc"
+
+        }
+
+        ECPGdeallocate_desc(__LINE__, "desc_7");
+#line 404 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 404 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, NULL, "stmt_7");
+#line 405 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 405 "declare.pgc"
+
+
+        printFieldName(tc_name);
+    }
+    else if(!strcmp(tc_name,"testcase8"))
+    {
+        reset();
+
+        ECPGallocate_desc(__LINE__, "desc_8");
+#line 413 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 413 "declare.pgc"
+
+
+        { ECPGdeclare(__LINE__, "con1", "stmt_8");
+#line 415 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 415 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "stmt_8", selectTb1);
+#line 416 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 416 "declare.pgc"
+
+        { ECPGdescribe(__LINE__, 0, 0, "con2", "stmt_8",
+	ECPGt_descriptor, "desc_8", 1L, 1L, 1L, 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);}
+#line 417 "declare.pgc"
+
+
+        for(i=1; i<4; i++)
+        {
+            { ECPGget_desc(__LINE__, "desc_8", i,ECPGd_name,
+	ECPGt_char,(field_name[i-1]),(long)FIELD_NAME_LEN,(long)1,(FIELD_NAME_LEN)*sizeof(char), ECPGd_EODT);
+
+#line 421 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 421 "declare.pgc"
+
+        }
+
+        ECPGdeallocate_desc(__LINE__, "desc_8");
+#line 424 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 424 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, "con2", "stmt_8");
+#line 425 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 425 "declare.pgc"
+
+
+        printFieldName(tc_name);
+
+
+        reset();
+
+        ECPGallocate_desc(__LINE__, (desc_8));
+#line 432 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 432 "declare.pgc"
+
+
+        { ECPGdeclare(__LINE__, "con1", stmt_8);
+#line 434 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 434 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, stmt_8, selectTb1);
+#line 435 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 435 "declare.pgc"
+
+        { ECPGdescribe(__LINE__, 0, 0, "con2", stmt_8,
+	ECPGt_descriptor, (desc_8), 1L, 1L, 1L, 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);}
+#line 436 "declare.pgc"
+
+
+        for(i=1; i<4; i++)
+        {
+            { ECPGget_desc(__LINE__, (desc_8), i,ECPGd_name,
+	ECPGt_char,(field_name[i-1]),(long)FIELD_NAME_LEN,(long)1,(FIELD_NAME_LEN)*sizeof(char), ECPGd_EODT);
+
+#line 440 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 440 "declare.pgc"
+
+        }
+
+        ECPGdeallocate_desc(__LINE__, (desc_8));
+#line 443 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 443 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, "con2", stmt_8);
+#line 444 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 444 "declare.pgc"
+
+
+        printFieldName(NULL);
+    }
+    else if(!strcmp(tc_name,"testcase9"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, "con3", "stmt_9");
+#line 452 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 452 "declare.pgc"
+
+        { ECPGprepare(__LINE__, NULL, 0, "stmt_9", selectString);
+#line 453 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 453 "declare.pgc"
+
+        { ECPGdo(__LINE__, 0, 1, NULL, 0, ECPGst_execute, "stmt_9", ECPGt_EOIT, 
+	ECPGt_int,(f1),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,(f2),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3),(long)20,(long)OUT_ARRAY_SZIE,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 454 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 454 "declare.pgc"
+
+
+        { ECPGdeallocate(__LINE__, 0, NULL, "stmt_9");
+#line 456 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 456 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase10"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, "con3", "stmt_10");
+#line 464 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 464 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "stmt_10", selectString);
+#line 465 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 465 "declare.pgc"
+
+        { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_execute, "stmt_10", ECPGt_EOIT, 
+	ECPGt_int,(f1),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,(f2),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3),(long)20,(long)OUT_ARRAY_SZIE,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 466 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 466 "declare.pgc"
+
+
+        { ECPGdeallocate(__LINE__, 0, "con2", "stmt_10");
+#line 468 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 468 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase11"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, "con3", "stmt_11");
+#line 476 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 476 "declare.pgc"
+
+        { ECPGprepare(__LINE__, NULL, 0, "stmt_11", selectString);
+#line 477 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 477 "declare.pgc"
+
+        /* declare cur_11 cursor for $1 */
+#line 478 "declare.pgc"
+
+        { ECPGopen("cur_11", "stmt_11", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "declare cur_11 cursor for $1", 
+	ECPGt_char_variable,(ECPGprepared_statement(NULL, "stmt_11", __LINE__)),(long)1,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 479 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 479 "declare.pgc"
+
+
+        /* exec sql whenever not found  break ; */
+#line 481 "declare.pgc"
+
+        i = 0;
+        while(1)
+        {
+            { ECPGfetch("cur_11", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "fetch cur_11", ECPGt_EOIT, 
+	ECPGt_int,&(f1[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,&(f2[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3[i]),(long)20,(long)1,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 485 "declare.pgc"
+
+if (sqlca.sqlcode == ECPG_NOT_FOUND) break;
+#line 485 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 485 "declare.pgc"
+
+            i++;
+        }
+
+        { ECPGclose("cur_11", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "close cur_11", ECPGt_EOIT, ECPGt_EORT);
+#line 489 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 489 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, NULL, "stmt_11");
+#line 490 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 490 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase12"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, "con3", "stmt_12");
+#line 498 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 498 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "stmt_12", selectString);
+#line 499 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 499 "declare.pgc"
+
+        /* declare cur_12 cursor for $1 */
+#line 500 "declare.pgc"
+
+        { ECPGopen("cur_12", "stmt_12", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "declare cur_12 cursor for $1", 
+	ECPGt_char_variable,(ECPGprepared_statement("con2", "stmt_12", __LINE__)),(long)1,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 501 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 501 "declare.pgc"
+
+
+        /* exec sql whenever not found  break ; */
+#line 503 "declare.pgc"
+
+        i = 0;
+        while(1)
+        {
+            { ECPGfetch("cur_12", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "fetch cur_12", ECPGt_EOIT, 
+	ECPGt_int,&(f1[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,&(f2[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3[i]),(long)20,(long)1,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 507 "declare.pgc"
+
+if (sqlca.sqlcode == ECPG_NOT_FOUND) break;
+#line 507 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 507 "declare.pgc"
+
+            i++;
+        }
+
+        { ECPGclose("cur_12", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "close cur_12", ECPGt_EOIT, ECPGt_EORT);
+#line 511 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 511 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, "con2", "stmt_12");
+#line 512 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 512 "declare.pgc"
+
+        /* exec sql whenever not found  continue ; */
+#line 513 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase13"))
+    {
+        reset();
+
+        ECPGallocate_desc(__LINE__, "desc_13");
+#line 521 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 521 "declare.pgc"
+
+
+        { ECPGdeclare(__LINE__, "con3", "stmt_13");
+#line 523 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 523 "declare.pgc"
+
+        { ECPGprepare(__LINE__, NULL, 0, "stmt_13", selectTb1);
+#line 524 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 524 "declare.pgc"
+
+        { ECPGdescribe(__LINE__, 0, 0, NULL, "stmt_13",
+	ECPGt_descriptor, "desc_13", 1L, 1L, 1L, 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);}
+#line 525 "declare.pgc"
+
+
+        for(i=1; i<4; i++)
+        {
+            { ECPGget_desc(__LINE__, "desc_13", i,ECPGd_name,
+	ECPGt_char,(field_name[i-1]),(long)FIELD_NAME_LEN,(long)1,(FIELD_NAME_LEN)*sizeof(char), ECPGd_EODT);
+
+#line 529 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 529 "declare.pgc"
+
+        }
+
+        ECPGdeallocate_desc(__LINE__, "desc_13");
+#line 532 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 532 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, NULL, "stmt_13");
+#line 533 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 533 "declare.pgc"
+
+
+        printFieldName(tc_name);
+    }
+    else if(!strcmp(tc_name,"testcase14"))
+    {
+        reset();
+
+        ECPGallocate_desc(__LINE__, "desc_14");
+#line 541 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 541 "declare.pgc"
+
+
+        { ECPGdeclare(__LINE__, "con3", "stmt_14");
+#line 543 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 543 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "stmt_14", selectTb1);
+#line 544 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 544 "declare.pgc"
+
+        { ECPGdescribe(__LINE__, 0, 0, "con2", "stmt_14",
+	ECPGt_descriptor, "desc_14", 1L, 1L, 1L, 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);}
+#line 545 "declare.pgc"
+
+
+        for(i=1; i<4; i++)
+        {
+            { ECPGget_desc(__LINE__, "desc_14", i,ECPGd_name,
+	ECPGt_char,(field_name[i-1]),(long)FIELD_NAME_LEN,(long)1,(FIELD_NAME_LEN)*sizeof(char), ECPGd_EODT);
+
+#line 549 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 549 "declare.pgc"
+
+        }
+
+        ECPGdeallocate_desc(__LINE__, "desc_14");
+#line 552 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 552 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, "con2", "stmt_14");
+#line 553 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 553 "declare.pgc"
+
+
+        printFieldName(tc_name);
+    }
+    else if(!strcmp(tc_name,"testcase15"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, NULL, "stmt_15");
+#line 561 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 561 "declare.pgc"
+
+        { ECPGprepare(__LINE__, NULL, 0, "stmt_15", selectString);
+#line 562 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 562 "declare.pgc"
+
+        { ECPGdo(__LINE__, 0, 1, NULL, 0, ECPGst_execute, "stmt_15", ECPGt_EOIT, 
+	ECPGt_int,(f1),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,(f2),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3),(long)20,(long)OUT_ARRAY_SZIE,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 563 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 563 "declare.pgc"
+
+
+        { ECPGdeallocate(__LINE__, 0, NULL, "stmt_15");
+#line 565 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 565 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase16"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, NULL, "stmt_16");
+#line 573 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 573 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "stmt_16", selectString);
+#line 574 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 574 "declare.pgc"
+
+        { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_execute, "stmt_16", ECPGt_EOIT, 
+	ECPGt_int,(f1),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,(f2),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3),(long)20,(long)OUT_ARRAY_SZIE,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 575 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 575 "declare.pgc"
+
+
+        { ECPGdeallocate(__LINE__, 0, "con2", "stmt_16");
+#line 577 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 577 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase17"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, NULL, "stmt_17");
+#line 585 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 585 "declare.pgc"
+
+        { ECPGprepare(__LINE__, NULL, 0, "stmt_17", selectString);
+#line 586 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 586 "declare.pgc"
+
+        /* declare cur_17 cursor for $1 */
+#line 587 "declare.pgc"
+
+        { ECPGopen("cur_17", "stmt_17", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "declare cur_17 cursor for $1", 
+	ECPGt_char_variable,(ECPGprepared_statement(NULL, "stmt_17", __LINE__)),(long)1,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 588 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 588 "declare.pgc"
+
+
+        /* exec sql whenever not found  break ; */
+#line 590 "declare.pgc"
+
+        i = 0;
+        while(1)
+        {
+            { ECPGfetch("cur_17", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "fetch cur_17", ECPGt_EOIT, 
+	ECPGt_int,&(f1[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,&(f2[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3[i]),(long)20,(long)1,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 594 "declare.pgc"
+
+if (sqlca.sqlcode == ECPG_NOT_FOUND) break;
+#line 594 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 594 "declare.pgc"
+
+            i++;
+        }
+
+        { ECPGclose("cur_17", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "close cur_17", ECPGt_EOIT, ECPGt_EORT);
+#line 598 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 598 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, NULL, "stmt_17");
+#line 599 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 599 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase18"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, NULL, "stmt_18");
+#line 607 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 607 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "stmt_18", selectString);
+#line 608 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 608 "declare.pgc"
+
+        /* declare cur_18 cursor for $1 */
+#line 609 "declare.pgc"
+
+        { ECPGopen("cur_18", "stmt_18", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "declare cur_18 cursor for $1", 
+	ECPGt_char_variable,(ECPGprepared_statement("con2", "stmt_18", __LINE__)),(long)1,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 610 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 610 "declare.pgc"
+
+
+        /* exec sql whenever not found  break ; */
+#line 612 "declare.pgc"
+
+        i = 0;
+        while(1)
+        {
+            { ECPGfetch("cur_18", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "fetch cur_18", ECPGt_EOIT, 
+	ECPGt_int,&(f1[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,&(f2[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3[i]),(long)20,(long)1,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 616 "declare.pgc"
+
+if (sqlca.sqlcode == ECPG_NOT_FOUND) break;
+#line 616 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 616 "declare.pgc"
+
+            i++;
+        }
+
+        { ECPGclose("cur_18", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "close cur_18", ECPGt_EOIT, ECPGt_EORT);
+#line 620 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 620 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, "con2", "stmt_18");
+#line 621 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 621 "declare.pgc"
+
+        /* exec sql whenever not found  continue ; */
+#line 622 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase19"))
+    {
+        reset();
+
+        ECPGallocate_desc(__LINE__, "desc_19");
+#line 630 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 630 "declare.pgc"
+
+
+        { ECPGdeclare(__LINE__, NULL, "stmt_19");
+#line 632 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 632 "declare.pgc"
+
+        { ECPGprepare(__LINE__, NULL, 0, "stmt_19", selectTb1);
+#line 633 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 633 "declare.pgc"
+
+        { ECPGdescribe(__LINE__, 0, 0, NULL, "stmt_19",
+	ECPGt_descriptor, "desc_19", 1L, 1L, 1L, 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);}
+#line 634 "declare.pgc"
+
+
+        for(i=1; i<4; i++)
+        {
+            { ECPGget_desc(__LINE__, "desc_19", i,ECPGd_name,
+	ECPGt_char,(field_name[i-1]),(long)FIELD_NAME_LEN,(long)1,(FIELD_NAME_LEN)*sizeof(char), ECPGd_EODT);
+
+#line 638 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 638 "declare.pgc"
+
+        }
+
+        ECPGdeallocate_desc(__LINE__, "desc_19");
+#line 641 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 641 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, NULL, "stmt_19");
+#line 642 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 642 "declare.pgc"
+
+
+        printFieldName(tc_name);
+    }
+    else if(!strcmp(tc_name,"testcase20"))
+    {
+        reset();
+
+        ECPGallocate_desc(__LINE__, "desc_20");
+#line 650 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 650 "declare.pgc"
+
+
+        { ECPGdeclare(__LINE__, NULL, "stmt_20");
+#line 652 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 652 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "stmt_20", selectTb1);
+#line 653 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 653 "declare.pgc"
+
+        { ECPGdescribe(__LINE__, 0, 0, "con2", "stmt_20",
+	ECPGt_descriptor, "desc_20", 1L, 1L, 1L, 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);}
+#line 654 "declare.pgc"
+
+
+        for(i=1; i<4; i++)
+        {
+            { ECPGget_desc(__LINE__, "desc_20", i,ECPGd_name,
+	ECPGt_char,(field_name[i-1]),(long)FIELD_NAME_LEN,(long)1,(FIELD_NAME_LEN)*sizeof(char), ECPGd_EODT);
+
+#line 658 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 658 "declare.pgc"
+
+        }
+
+        ECPGdeallocate_desc(__LINE__, "desc_20");
+#line 661 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 661 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, "con2", "stmt_20");
+#line 662 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 662 "declare.pgc"
+
+
+        printFieldName(tc_name);
+    }
+    else if(!strcmp(tc_name,"testcase21"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, "con1", "stmt_21");
+#line 670 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 670 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "stmt_21", selectString);
+#line 671 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 671 "declare.pgc"
+
+        { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_execute, "stmt_21", ECPGt_EOIT, 
+	ECPGt_int,(f1),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,(f2),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3),(long)20,(long)OUT_ARRAY_SZIE,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 672 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 672 "declare.pgc"
+
+
+        { ECPGdeallocate(__LINE__, 0, NULL, "stmt_21");
+#line 674 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 674 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase22"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, "con1", "stmt_22");
+#line 682 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 682 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "stmt_22", selectString);
+#line 683 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 683 "declare.pgc"
+
+        /* declare \"cur_22\" cursor for $1 */
+#line 684 "declare.pgc"
+
+        { ECPGopen("\"cur_22\"", "stmt_22", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "declare \"cur_22\" cursor for $1", 
+	ECPGt_char_variable,(ECPGprepared_statement("con2", "stmt_22", __LINE__)),(long)1,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 685 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 685 "declare.pgc"
+
+
+        /* exec sql whenever not found  break ; */
+#line 687 "declare.pgc"
+
+        i = 0;
+        while(1)
+        {
+            { ECPGfetch("\"cur_22\"", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "fetch \"cur_22\"", ECPGt_EOIT, 
+	ECPGt_int,&(f1[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,&(f2[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3[i]),(long)20,(long)1,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 691 "declare.pgc"
+
+if (sqlca.sqlcode == ECPG_NOT_FOUND) break;
+#line 691 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 691 "declare.pgc"
+
+            i++;
+        }
+
+        { ECPGclose("\"cur_22\"", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "close \"cur_22\"", ECPGt_EOIT, ECPGt_EORT);
+#line 695 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 695 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, "con2", "stmt_22");
+#line 696 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 696 "declare.pgc"
+
+        /* exec sql whenever not found  continue ; */
+#line 697 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase23"))
+    {
+        reset();
+
+        ECPGallocate_desc(__LINE__, "desc_23");
+#line 705 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 705 "declare.pgc"
+
+
+        { ECPGdeclare(__LINE__, "con1", "stmt_23");
+#line 707 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 707 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "stmt_23", selectTb1);
+#line 708 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 708 "declare.pgc"
+
+        { ECPGdescribe(__LINE__, 0, 0, "con2", "stmt_23",
+	ECPGt_descriptor, "desc_23", 1L, 1L, 1L, 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);}
+#line 709 "declare.pgc"
+
+
+        for(i=1; i<4; i++)
+        {
+            { ECPGget_desc(__LINE__, "desc_23", i,ECPGd_name,
+	ECPGt_char,(field_name[i-1]),(long)FIELD_NAME_LEN,(long)1,(FIELD_NAME_LEN)*sizeof(char), ECPGd_EODT);
+
+#line 713 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 713 "declare.pgc"
+
+        }
+
+        ECPGdeallocate_desc(__LINE__, "desc_23");
+#line 716 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 716 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, "con2", "stmt_23");
+#line 717 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 717 "declare.pgc"
+
+
+        printFieldName(tc_name);
+    }
+    else if(!strcmp(tc_name,"testcase24"))
+    {
+        /* exec sql begin declare section */
+           
+        
+#line 724 "declare.pgc"
+ char * char_stmt_24 = "strSTMT24" ;
+/* exec sql end declare section */
+#line 725 "declare.pgc"
+
+
+        reset();
+
+        { ECPGdeclare(__LINE__, "con1", char_stmt_24);
+#line 729 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 729 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, char_stmt_24, selectString);
+#line 730 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 730 "declare.pgc"
+
+        { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_execute, char_stmt_24, ECPGt_EOIT, 
+	ECPGt_int,(f1),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,(f2),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3),(long)20,(long)OUT_ARRAY_SZIE,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 731 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 731 "declare.pgc"
+
+
+        { ECPGdeallocate(__LINE__, 0, NULL, char_stmt_24);
+#line 733 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 733 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase25"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, "con1", "stmt_25");
+#line 741 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 741 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "pre_stmt_25", selectString);
+#line 742 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 742 "declare.pgc"
+
+        { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_execute, "pre_stmt_25", ECPGt_EOIT, 
+	ECPGt_int,(f1),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,(f2),(long)1,(long)OUT_ARRAY_SZIE,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3),(long)20,(long)OUT_ARRAY_SZIE,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 743 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 743 "declare.pgc"
+
+
+        { ECPGdeallocate(__LINE__, 0, "con2", "pre_stmt_25");
+#line 745 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 745 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase26"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, "con1", "stmt_26");
+#line 753 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 753 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "pre_stmt_26", selectString);
+#line 754 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 754 "declare.pgc"
+
+        /* declare cur_26 cursor for $1 */
+#line 755 "declare.pgc"
+
+        { ECPGopen("cur_26", "pre_stmt_26", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "declare cur_26 cursor for $1", 
+	ECPGt_char_variable,(ECPGprepared_statement("con2", "pre_stmt_26", __LINE__)),(long)1,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 756 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 756 "declare.pgc"
+
+
+        /* exec sql whenever not found  break ; */
+#line 758 "declare.pgc"
+
+        i = 0;
+        while(1)
+        {
+            { ECPGfetch("cur_26", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "fetch cur_26", ECPGt_EOIT, 
+	ECPGt_int,&(f1[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,&(f2[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3[i]),(long)20,(long)1,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 762 "declare.pgc"
+
+if (sqlca.sqlcode == ECPG_NOT_FOUND) break;
+#line 762 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 762 "declare.pgc"
+
+            i++;
+        }
+
+        { ECPGclose("cur_26", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "close cur_26", ECPGt_EOIT, ECPGt_EORT);
+#line 766 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 766 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, "con2", "pre_stmt_26");
+#line 767 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 767 "declare.pgc"
+
+        /* exec sql whenever not found  continue ; */
+#line 768 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+    }
+    else if(!strcmp(tc_name,"testcase27"))
+    {
+        reset();
+
+        ECPGallocate_desc(__LINE__, "desc_27");
+#line 776 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 776 "declare.pgc"
+
+
+        { ECPGdeclare(__LINE__, "con1", "stmt_27");
+#line 778 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 778 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "pre_stmt_27", selectTb1);
+#line 779 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 779 "declare.pgc"
+
+        { ECPGdescribe(__LINE__, 0, 0, "con2", "pre_stmt_27",
+	ECPGt_descriptor, "desc_27", 1L, 1L, 1L, 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);}
+#line 780 "declare.pgc"
+
+
+        for(i=1; i<4; i++)
+        {
+            { ECPGget_desc(__LINE__, "desc_27", i,ECPGd_name,
+	ECPGt_char,(field_name[i-1]),(long)FIELD_NAME_LEN,(long)1,(FIELD_NAME_LEN)*sizeof(char), ECPGd_EODT);
+
+#line 784 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 784 "declare.pgc"
+
+        }
+
+        ECPGdeallocate_desc(__LINE__, "desc_27");
+#line 787 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();
+#line 787 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, "con2", "pre_stmt_27");
+#line 788 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 788 "declare.pgc"
+
+
+        printFieldName(tc_name);
+    }
+    else if(!strcmp(tc_name,"testcase28"))
+    {
+        /* exec sql begin declare section */
+              
+        
+#line 795 "declare.pgc"
+ char * cur_28 = "str_cur_28" ;
+/* exec sql end declare section */
+#line 796 "declare.pgc"
+
+
+        reset();
+
+        { ECPGdeclare(__LINE__, "con1", "stmt_28");
+#line 800 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 800 "declare.pgc"
+
+        { ECPGprepare(__LINE__, "con2", 0, "stmt_28", selectString);
+#line 801 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 801 "declare.pgc"
+
+        ECPGset_var( 1, &( cur_28 ), __LINE__);\
+ /* declare $0 cursor for $1 */
+#line 802 "declare.pgc"
+
+        { ECPGopen(":cur_28", "stmt_28", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "declare $0 cursor for $1", 
+	ECPGt_char,&(cur_28),(long)0,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char_variable,(ECPGprepared_statement("con2", "stmt_28", __LINE__)),(long)1,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 803 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 803 "declare.pgc"
+
+
+        /* exec sql whenever not found  break ; */
+#line 805 "declare.pgc"
+
+        i = 0;
+        while(1)
+        {
+            { ECPGfetch(":cur_28", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "fetch $0", 
+	ECPGt_char,&(cur_28),(long)0,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, 
+	ECPGt_int,&(f1[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,&(f2[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3[i]),(long)20,(long)1,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 809 "declare.pgc"
+
+if (sqlca.sqlcode == ECPG_NOT_FOUND) break;
+#line 809 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 809 "declare.pgc"
+
+            i++;
+        }
+
+        { ECPGclose("str_cur_28", __LINE__, 0, 1, "con2", 0, ECPGst_normal, "close str_cur_28", ECPGt_EOIT, ECPGt_EORT);
+#line 813 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 813 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, "con2", "stmt_28");
+#line 814 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 814 "declare.pgc"
+
+        /* exec sql whenever not found  continue ; */
+#line 815 "declare.pgc"
+
+
+        printResultF123(tc_name,3);
+
+    }
+    else if(!strcmp(tc_name,"testcase29"))
+    {
+        reset();
+
+        { ECPGdeclare(__LINE__, "con1", "stmt_29");
+#line 824 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 824 "declare.pgc"
+
+        { ECPGprepare(__LINE__, NULL, 0, "stmt_29", selectString);
+#line 825 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 825 "declare.pgc"
+
+        /* declare cur_29 cursor for $1 */
+#line 826 "declare.pgc"
+
+
+        { ECPGopen("cur_29", "stmt_29", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "declare cur_29 cursor for $1", 
+	ECPGt_char_variable,(ECPGprepared_statement(NULL, "stmt_29", __LINE__)),(long)1,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 828 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 828 "declare.pgc"
+
+
+        /* exec sql whenever not found  break ; */
+#line 830 "declare.pgc"
+
+        i = 0;
+        while(1)
+        {
+            { ECPGfetch("cur_29", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "fetch cur_29", ECPGt_EOIT, 
+	ECPGt_int,&(f1[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,&(f2[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3[i]),(long)20,(long)1,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 834 "declare.pgc"
+
+if (sqlca.sqlcode == ECPG_NOT_FOUND) break;
+#line 834 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 834 "declare.pgc"
+
+            i++;
+        }
+
+        { ECPGclose("cur_29", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "close cur_29", ECPGt_EOIT, ECPGt_EORT);
+#line 838 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 838 "declare.pgc"
+
+        printResultF123(tc_name,3);
+
+        reset();
+        /* Open and fetch cursor again */
+        { ECPGopen("cur_29", "stmt_29", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "declare cur_29 cursor for $1", 
+	ECPGt_char_variable,(ECPGprepared_statement(NULL, "stmt_29", __LINE__)),(long)1,(long)1,(1)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EOIT, ECPGt_EORT);
+#line 843 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 843 "declare.pgc"
+
+        i = 0;
+        while(1)
+        {
+            { ECPGfetch("cur_29", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "fetch cur_29", ECPGt_EOIT, 
+	ECPGt_int,&(f1[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_int,&(f2[i]),(long)1,(long)1,sizeof(int), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, 
+	ECPGt_char,(f3[i]),(long)20,(long)1,(20)*sizeof(char), 
+	ECPGt_NO_INDICATOR, NULL , 0L, 0L, 0L, ECPGt_EORT);
+#line 847 "declare.pgc"
+
+if (sqlca.sqlcode == ECPG_NOT_FOUND) break;
+#line 847 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 847 "declare.pgc"
+
+            i++;
+        }
+
+        { ECPGclose("cur_29", __LINE__, 0, 1, NULL, 0, ECPGst_normal, "close cur_29", ECPGt_EOIT, ECPGt_EORT);
+#line 851 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 851 "declare.pgc"
+
+        { ECPGdeallocate(__LINE__, 0, NULL, "stmt_29");
+#line 852 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 852 "declare.pgc"
+
+        /* exec sql whenever not found  continue ; */
+#line 853 "declare.pgc"
+
+
+        printResultF123(NULL,3);
+    }
+    else
+    {
+        /* exec sql whenever not found  continue ; */
+#line 859 "declare.pgc"
+
+        printf("Sorry, there isn't this testcase: %s!\n",tc_name);
+    }
+}
+
+
+/*
+ * success -- 0
+ * failed -- -1
+ */
+int createTable()
+{
+    { ECPGdo(__LINE__, 0, 1, "con1", 0, ECPGst_normal, "create table source ( f1 integer , f2 integer , f3 varchar ( 20 ) )", ECPGt_EOIT, ECPGt_EORT);
+#line 871 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 871 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_normal, "create table source ( f1 integer , f2 integer , f3 varchar ( 20 ) )", ECPGt_EOIT, ECPGt_EORT);
+#line 872 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 872 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con3", 0, ECPGst_normal, "create table source ( f1 integer , f2 integer , f3 varchar ( 20 ) )", ECPGt_EOIT, ECPGt_EORT);
+#line 873 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 873 "declare.pgc"
+
+
+    { ECPGdo(__LINE__, 0, 1, "con1", 0, ECPGst_normal, "create table tb1 ( con1_f1 integer , con1_f2 integer , con1_f3 varchar ( 20 ) )", ECPGt_EOIT, ECPGt_EORT);
+#line 875 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 875 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_normal, "create table tb1 ( con2_f1 integer , con2_f2 integer , con2_f3 varchar ( 20 ) )", ECPGt_EOIT, ECPGt_EORT);
+#line 876 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 876 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con3", 0, ECPGst_normal, "create table tb1 ( con3_f1 integer , con3_f2 integer , con3_f3 varchar ( 20 ) )", ECPGt_EOIT, ECPGt_EORT);
+#line 877 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 877 "declare.pgc"
+
+
+    { ECPGdo(__LINE__, 0, 1, "con1", 0, ECPGst_normal, "create table target ( f1 integer , f2 integer , f3 varchar ( 20 ) )", ECPGt_EOIT, ECPGt_EORT);
+#line 879 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 879 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_normal, "create table target ( f1 integer , f2 integer , f3 varchar ( 20 ) )", ECPGt_EOIT, ECPGt_EORT);
+#line 880 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 880 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con3", 0, ECPGst_normal, "create table target ( f1 integer , f2 integer , f3 varchar ( 20 ) )", ECPGt_EOIT, ECPGt_EORT);
+#line 881 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 881 "declare.pgc"
+
+
+
+
+    { ECPGdo(__LINE__, 0, 1, "con1", 0, ECPGst_normal, "insert into source values ( 1 , 10 , 'db on con1' )", ECPGt_EOIT, ECPGt_EORT);
+#line 885 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 885 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con1", 0, ECPGst_normal, "insert into source values ( 2 , 20 , 'db on con1' )", ECPGt_EOIT, ECPGt_EORT);
+#line 886 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 886 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con1", 0, ECPGst_normal, "insert into source values ( 3 , 30 , 'db on con1' )", ECPGt_EOIT, ECPGt_EORT);
+#line 887 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 887 "declare.pgc"
+
+
+    { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_normal, "insert into source values ( 1 , 10 , 'db on con2' )", ECPGt_EOIT, ECPGt_EORT);
+#line 889 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 889 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_normal, "insert into source values ( 2 , 20 , 'db on con2' )", ECPGt_EOIT, ECPGt_EORT);
+#line 890 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 890 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_normal, "insert into source values ( 3 , 30 , 'db on con2' )", ECPGt_EOIT, ECPGt_EORT);
+#line 891 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 891 "declare.pgc"
+
+
+    { ECPGdo(__LINE__, 0, 1, "con3", 0, ECPGst_normal, "insert into source values ( 1 , 10 , 'db on con3' )", ECPGt_EOIT, ECPGt_EORT);
+#line 893 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 893 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con3", 0, ECPGst_normal, "insert into source values ( 2 , 20 , 'db on con3' )", ECPGt_EOIT, ECPGt_EORT);
+#line 894 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 894 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con3", 0, ECPGst_normal, "insert into source values ( 3 , 30 , 'db on con3' )", ECPGt_EOIT, ECPGt_EORT);
+#line 895 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 895 "declare.pgc"
+
+
+    commitTable();
+
+    return 0;
+}
+
+/*
+ * success -- 0
+ * failed -- -1
+ */
+void dropTable()
+{
+    { ECPGdo(__LINE__, 0, 1, "con1", 0, ECPGst_normal, "drop table if exists source", ECPGt_EOIT, ECPGt_EORT);
+#line 908 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 908 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_normal, "drop table if exists source", ECPGt_EOIT, ECPGt_EORT);
+#line 909 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 909 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con3", 0, ECPGst_normal, "drop table if exists source", ECPGt_EOIT, ECPGt_EORT);
+#line 910 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 910 "declare.pgc"
+
+
+    { ECPGdo(__LINE__, 0, 1, "con1", 0, ECPGst_normal, "drop table if exists target", ECPGt_EOIT, ECPGt_EORT);
+#line 912 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 912 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_normal, "drop table if exists target", ECPGt_EOIT, ECPGt_EORT);
+#line 913 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 913 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con3", 0, ECPGst_normal, "drop table if exists target", ECPGt_EOIT, ECPGt_EORT);
+#line 914 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 914 "declare.pgc"
+
+
+    { ECPGdo(__LINE__, 0, 1, "con1", 0, ECPGst_normal, "drop table if exists tb1", ECPGt_EOIT, ECPGt_EORT);
+#line 916 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 916 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_normal, "drop table if exists tb1", ECPGt_EOIT, ECPGt_EORT);
+#line 917 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 917 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con3", 0, ECPGst_normal, "drop table if exists tb1", ECPGt_EOIT, ECPGt_EORT);
+#line 918 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 918 "declare.pgc"
+
+
+    commitTable();
+}
+
+void reCreateTable()
+{
+    dropTable();
+    createTable();
+}
+
+void truncateTable()
+{
+    { ECPGdo(__LINE__, 0, 1, "con1", 0, ECPGst_normal, "truncate table target", ECPGt_EOIT, ECPGt_EORT);
+#line 931 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 931 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con2", 0, ECPGst_normal, "truncate table target", ECPGt_EOIT, ECPGt_EORT);
+#line 932 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 932 "declare.pgc"
+
+    { ECPGdo(__LINE__, 0, 1, "con3", 0, ECPGst_normal, "truncate table target", ECPGt_EOIT, ECPGt_EORT);
+#line 933 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 933 "declare.pgc"
+
+
+    commitTable();
+}
+
+void commitTable()
+{
+    { ECPGtrans(__LINE__, "con1", "commit");
+#line 940 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 940 "declare.pgc"
+
+    { ECPGtrans(__LINE__, "con2", "commit");
+#line 941 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 941 "declare.pgc"
+
+    { ECPGtrans(__LINE__, "con3", "commit");
+#line 942 "declare.pgc"
+
+if (sqlca.sqlcode < 0) sqlprint();}
+#line 942 "declare.pgc"
+
+}
+
+/*
+ * reset all the output variables
+ */
+void reset()
+{
+    int i;
+
+    truncateTable();
+
+    memset(f1,0,sizeof(f1));
+    memset(f2,0,sizeof(f2));
+    memset(f3,0,sizeof(f3));
+
+    for(i=0; i<COLUMN_NUM; i++)
+    {
+        memset(field_name[i],0, FIELD_NAME_LEN);
+    }
+}
+
+int initValues()
+{
+    return 0;
+}
+
+void releaseValues()
+{
+}
+
+void printResultF123(char *tc_name, int loop)
+{
+    int i;
+
+    if(loop>OUT_ARRAY_SZIE)
+    {
+        loop = OUT_ARRAY_SZIE;
+    }
+
+    if(tc_name)
+    {
+        printf("****%s test results:****\n",tc_name);
+    }
+
+    for (i = 0; i < loop; i++)
+        printf("f1=%d, f2=%d, f3=%s\n", f1[i], f2[i], f3[i]);
+
+    printf("\n");
+}
+
+void printResultIndF123(char *tc_name, int loop)
+{
+    int i;
+
+    if(loop>OUT_ARRAY_SZIE)
+    {
+        loop = OUT_ARRAY_SZIE;
+    }
+
+    if(tc_name)
+    {
+        printf("****%s indicator results:****\n",tc_name);
+    }
+
+    for (i = 0; i < loop; i++)
+        printf("ind_f1=%d, ind_f2=%d, ind_f3=%d\n", ind_f1[i], ind_f2[i], ind_f3[i]);
+
+    printf("\n");
+}
+
+void printFieldName(char *tc_name)
+{
+    int i;
+
+    if(tc_name)
+    {
+        printf("****%s test results:****\n",tc_name);
+    }
+
+    for (i = 0; i < COLUMN_NUM; i++)
+    {
+        printf("field[%d]'s name = %s\n", i, field_name[i]);
+    }
+
+    printf("\n");
+}
